Esc

↑↓ move↵ openIndex · Pagefind
REST reference · Project Management

Schedule

19 endpoints19 implementedAll modules →
  1. GET /rest/v1.0/projects/{project_id}/scheduleGet Schedule Metadata
  2. PATCH /rest/v1.0/projects/{project_id}/scheduleUpdate Schedule Metadata
  3. GET /rest/v1.0/projects/{project_id}/schedule/calendar_itemsList Calendar Items
  4. POST /rest/v1.0/projects/{project_id}/schedule/calendar_itemsCreate Calendar Item
  5. GET /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}Show Calendar Item
  6. PATCH /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}Update Calendar Item
  7. DELETE /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}Delete Calendar Item
  8. GET /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}/dependenciesList Calendar Item Dependencies
  9. POST /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}/dependenciesCreate Calendar Item Dependency
  10. DELETE /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}/dependencies/{dependency_id}Delete Calendar Item Dependency
  11. GET /rest/v1.1/projects/{project_id}/schedule/requested_changesList schedule requested changes
  12. PATCH /rest/v1.1/projects/{project_id}/schedule/requested_changes/reviewReview (approve/reject) schedule requested changes
  13. GET /rest/v1.1/projects/{project_id}/schedule/resource_assignments/{id}Show resource assignment
  14. GET /rest/v1.1/projects/{project_id}/schedule/resourcesList Resources
  15. POST /rest/v1.1/projects/{project_id}/schedule/resourcesCreate resource
  16. GET /rest/v1.1/projects/{project_id}/schedule/resources/{id}Show resource
  17. PATCH /rest/v1.1/projects/{project_id}/schedule/resources/{id}Update resource
  18. DELETE /rest/v1.1/projects/{project_id}/schedule/resources/{id}Delete resource
  19. POST /rest/v1.1/projects/{project_id}/schedule/tasks/{task_id}/requested_changesCreate a schedule requested change
GET /rest/v1.0/projects/{project_id}/schedule

Get Schedule Metadata

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired

Response · 200 · object

  • active_features
    object
  • last_calendar_view
    string
  • schedule_present
    boolean
  • schedule_processing
    boolean
  • schedule_crud_beta_agreement
    object
  • schedule_tasks_last_updated_at
    string (date-time)
  • schedule_tasks_edited_manually
    boolean
  • type
    object
  • data_date
    string (date-time)
  • lookahead_data_date
    string (date-time)
  • number_of_pending_requested_changes
    number
  • uploaded_at
    string (date-time)
  • office
    object
  • project
    object
PATCH /rest/v1.0/projects/{project_id}/schedule

Update Schedule Metadata

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired

Request body

  • project_id
    integerrequired
  • type
    objectrequired

Response · 200 · object

  • active_features
    object
  • last_calendar_view
    string
  • schedule_present
    boolean
  • schedule_processing
    boolean
  • schedule_crud_beta_agreement
    object
  • schedule_tasks_last_updated_at
    string (date-time)
  • schedule_tasks_edited_manually
    boolean
  • type
    object
  • data_date
    string (date-time)
  • lookahead_data_date
    string (date-time)
  • number_of_pending_requested_changes
    number
  • uploaded_at
    string (date-time)
  • office
    object
  • project
    object
GET /rest/v1.0/projects/{project_id}/schedule/calendar_items

List Calendar Items

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • view
    stringquery
  • start_date
    string (date)query
  • finish_date
    string (date)query
  • page
    integerquery
  • per_page
    integerquery
  • filters[query]
    stringquery
  • filters[updated_at]
    string (date)query
  • filters[assigned_id]
    integer[]query
  • filters[date]
    stringquery
  • sort
    stringquery

Response · 200 · object[]

  • id
    integer
  • assigned
    object
  • color
    string
  • created_by
    object
  • finish
    string (date)
  • full_outline_path
    string
  • milestone
    boolean
  • name
    string
  • percentage
    integer
  • private
    boolean
  • start
    string (date)
  • task_name
    string
  • updated_at
    string (date-time)
POST /rest/v1.0/projects/{project_id}/schedule/calendar_items

Create Calendar Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired

Request body

  • calendar_item
    objectrequired

Response · 200 · object

  • id
    integer
  • assigned
    object
  • color
    string
  • created_by
    object
  • finish
    string (date)
  • full_outline_path
    string
  • milestone
    boolean
  • name
    string
  • percentage
    integer
  • private
    boolean
  • start
    string (date)
  • task_name
    string
  • updated_at
    string (date-time)
GET /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}

Show Calendar Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • assigned
    object
  • color
    string
  • created_by
    object
  • finish
    string (date)
  • full_outline_path
    string
  • milestone
    boolean
  • name
    string
  • percentage
    integer
  • private
    boolean
  • start
    string (date)
  • task_name
    string
  • updated_at
    string (date-time)
PATCH /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}

Update Calendar Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Request body

  • calendar_item
    objectrequired

Response · 200 · object

  • id
    integer
  • assigned
    object
  • color
    string
  • created_by
    object
  • finish
    string (date)
  • full_outline_path
    string
  • milestone
    boolean
  • name
    string
  • percentage
    integer
  • private
    boolean
  • start
    string (date)
  • task_name
    string
  • updated_at
    string (date-time)
DELETE /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}

Delete Calendar Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200

No response body.

GET /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}/dependencies

List Calendar Item Dependencies

v1.0Implemented

Parameters

  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • task_id
    integerrequired
  • on_critical_path
    booleanrequired
  • predecessors
    object[]required
  • successors
    object[]required
POST /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}/dependencies

Create Calendar Item Dependency

v1.0Implemented

Parameters

  • project_id
    integerpathrequired
  • id
    integerpathrequired

Request body

  • dependency
    objectrequired

Response · 201 · object

  • id
    integerrequired
  • project_id
    integerrequired
  • predecessor_id
    integerrequired
  • successor_id
    integerrequired
  • type
    stringrequired
  • lag_days
    integerrequired
  • predecessor
    object
  • successor
    object
  • created_at
    stringrequired
  • updated_at
    stringrequired
  • from_activity
    integerrequired
  • to_activity
    integerrequired
  • relationship_type
    stringrequired
  • lag
    integerrequired
  • lag_unit
    stringrequired
  • lag_display_unit
    stringrequired
  • active
    booleanrequired
DELETE /rest/v1.0/projects/{project_id}/schedule/calendar_items/{id}/dependencies/{dependency_id}

Delete Calendar Item Dependency

v1.0Implemented

Parameters

  • project_id
    integerpathrequired
  • id
    integerpathrequired
  • dependency_id
    integerpathrequired

Response · 200 · object

No documented fields.

GET /rest/v1.1/projects/{project_id}/schedule/requested_changes

List schedule requested changes

v1.1Implemented

Parameters

  • project_id
    stringpathrequired

Response · 200 · object[]

  • id
    integerrequired
  • change_requested
    stringrequired
  • created_by
    object
  • new_start
    string (date)
  • new_finish
    string (date)
  • new_percentage
    integer
  • old_start
    string (date)
  • old_finish
    string (date)
  • old_percentage
    integer
  • other_change
    string
  • reason
    string
  • status
    stringrequired
  • status_not_localized
    stringrequired
  • notes
    string
  • created_at
    string (date)
  • task_id
    integer
PATCH /rest/v1.1/projects/{project_id}/schedule/requested_changes/review

Review (approve/reject) schedule requested changes

v1.1Implemented

Parameters

  • project_id
    stringpathrequired

Request body

  • requested_changes
    object[]

Response · 200 · object[]

  • id
    integerrequired
  • requested_by
    string
  • change_requested
    string
  • reason
    string
  • status
    stringrequired
  • status_not_localized
    stringrequired
  • notes
    string
GET /rest/v1.1/projects/{project_id}/schedule/resource_assignments/{id}

Show resource assignment

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • task_id
    integer
  • resource_id
    integer
  • schedule_attributes
    object
GET /rest/v1.1/projects/{project_id}/schedule/resources

List Resources

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[query]
    stringquery

Response · 200 · object[]

  • id
    integer
  • company_id
    integer
  • deleted_at
    string (date-time)
  • name
    string
  • project_id
    integer
  • schedule_attributes
    object
  • source_uid
    string
POST /rest/v1.1/projects/{project_id}/schedule/resources

Create resource

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired

Request body

  • project_id
    integerrequired
  • resource
    objectrequired

Response · 201 · object

  • id
    integer
  • company_id
    integer
  • deleted_at
    string (date-time)
  • name
    string
  • project_id
    integer
  • schedule_attributes
    object
  • source_uid
    string
GET /rest/v1.1/projects/{project_id}/schedule/resources/{id}

Show resource

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • company_id
    integer
  • deleted_at
    string (date-time)
  • name
    string
  • project_id
    integer
  • schedule_attributes
    object
  • source_uid
    string
PATCH /rest/v1.1/projects/{project_id}/schedule/resources/{id}

Update resource

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Request body

  • project_id
    integerrequired
  • resource
    objectrequired

Response · 200 · object

  • id
    integer
  • company_id
    integer
  • deleted_at
    string (date-time)
  • name
    string
  • project_id
    integer
  • schedule_attributes
    object
  • source_uid
    string
DELETE /rest/v1.1/projects/{project_id}/schedule/resources/{id}

Delete resource

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200

No response body.

POST /rest/v1.1/projects/{project_id}/schedule/tasks/{task_id}/requested_changes

Create a schedule requested change

v1.1Implemented

Parameters

  • project_id
    stringpathrequired
  • task_id
    stringpathrequired

Request body

  • requested_change
    object

Response · 201 · object

  • id
    integerrequired
  • change_requested
    stringrequired
  • created_by
    object
  • new_start
    string (date)
  • new_finish
    string (date)
  • new_percentage
    integer
  • old_start
    string (date)
  • old_finish
    string (date)
  • old_percentage
    integer
  • other_change
    string
  • reason
    string
  • status
    stringrequired
  • status_not_localized
    stringrequired
  • notes
    string
  • created_at
    string (date)
  • task_id
    integer

Ask the OS

Reading this page

Ask anything about this page. Answers use what you're reading as context.

Suggested

    AI · may be imperfect · sample data where shown

    Open file